<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginRight="15dp">

    <ImageView
        android:id="@+id/notsend"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:visibility="gone"
        android:layout_marginRight="5dp"
        android:src="@drawable/ic_not_send_message"
        android:layout_alignParentRight="true"
        android:layout_centerInParent="true"/>

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="5dp"
        android:layout_toLeftOf="@+id/notsend">

        <customfonts.TextViewSFProDisplayMedium
            android:id="@+id/datetxt"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:textAlignment="center"
            android:padding="5dp"
            android:textSize="12sp"
            android:layout_marginBottom="5dp"
            android:textColor="@color/darkgray"
            android:visibility="gone"
            android:background="@drawable/round_edittext_background"/>



        <ProgressBar
            android:id="@+id/progress"
            android:layout_width="28dp"
            android:layout_height="28dp"
            android:visibility="visible"
            android:layout_marginRight="10dp"
            android:layout_marginTop="10dp"
            android:layout_below="@id/datetxt"
            android:layout_toLeftOf="@+id/audiobubble"/>

        <LinearLayout
            android:id="@+id/audiobubble"
            android:layout_width="200dp"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:layout_alignParentRight="true"
            android:padding="10dp"
            android:layout_below="@id/datetxt"
            android:background="@drawable/background_my_chat">

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">


             <ImageView
                 android:id="@+id/playbtn"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:scaleType="fitXY"
                android:tint="@color/white"
                 android:clickable="false"
                android:src="@drawable/ic_play"
                android:background="@color/transparentt"/>

             <SeekBar
                 android:id="@+id/seekbar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="30dp"
                android:layout_marginTop="3dp"
                android:layout_toLeftOf="@+id/totaltime"
                android:layout_centerVertical="true"
                android:theme="@style/MySeekBar"
                android:clickable="false"

                android:layout_gravity="center"/>

                <customfonts.TextViewSFProDisplayRegular
                    android:id="@+id/totaltime"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text=""
                    android:textSize="10dp"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="5dp"
                    android:layout_alignParentRight="true"
                    android:textColor="@color/white"/>

            </RelativeLayout>


        </LinearLayout>

        <customfonts.TextViewSFProDisplayMedium
            android:id="@+id/messageseen"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_below="@+id/audiobubble"
        android:textSize="10dp"
        android:layout_marginTop="5dp"
        android:layout_marginBottom="5dp"
        android:textColor="@color/darkgray"
        android:layout_marginRight="15dp"/>


    </RelativeLayout>

</RelativeLayout>